@extends('layouts.app')

@section('content')
    <div class="container d-flex justify-content-center align-items-center" style="min-height: 90vh;">
        <div class="col-md-4">
            <div class="card shadow-lg border rounded-3">
                <div class="card-body">

                    <form method="POST" action="{{ route('login') }}">
                        @csrf

                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" id="email" class="form-control rounded-2" name="email" required
                                autofocus>
                        </div>

                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" id="password" class="form-control rounded-2" name="password" required>
                        </div>

                        <div class="mb-3 form-check">
                            <input type="checkbox" class="form-check-input" id="remember" name="remember">
                            <label class="form-check-label" for="remember">Remember me</label>
                        </div>

                        <button type="submit" class="btn btn-primary w-100">LOG IN</button>

                        <div class="text-center mt-3">
                            <small>Don't have an account? <a href="{{ route('register') }}"
                                    class="fw-bold">Register</a></small>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
@endsection
